### Method

# Gtk AlertDialogget_buttons

since: 4.10

#### Declaration [src]

    const char* const*
    gtk_alert_dialog_get_buttons (
      GtkAlertDialog* self
    )

#### Description [src]

Returns the button labels for the alert.

Available since: 4.10

Gets property | `Gtk.AlertDialog:buttons`

#### Return value

Type: An array of `utf8`

The button labels.

The array is `NULL`-terminated.
The data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.